/*
 * str.h - string functions
 *
 */
/*
 * Copyright (C) 1996-1998  Hirotsugu Kakugawa. 
 * All rights reserved.
 *
 * This file is part of the VFlib Library.  This library is free
 * software; you can redistribute it and/or modify it under the terms of
 * the GNU Library General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your
 * option) any later version.  This library is distributed in the hope
 * that it will be useful, but WITHOUT ANY WARRANTY; without even the
 * implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
 * PURPOSE.  See the GNU Library General Public License for more details.
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */


#ifndef __VFLIB_STR_H__
#define __VFLIB_STR_H__

extern char  *vf_strdup(char *s);
extern int    vf_strcmp_ci(char *s1, char *s2);
extern int    vf_strncmp_ci(char *s1, char *s2, int n);
extern char  *vf_index(char *s, char ch);
extern int    vf_index_i(char *s, char ch);
extern char  *vf_rindex(char *s, char ch);
extern int    vf_rindex_i(char *s, char ch);
extern int    vf_index_str_i(char *s, char *t);
extern char  *vf_index_str(char *s, char *t);
extern int    vf_rindex_str_i(char *s, char *t);
extern char  *vf_rindex_str(char *s, char *t);
extern int    vf_parse_bool(char *s);

#endif /*__VFLIB_STR_H__*/

/*EOF*/
